/**
 * CMI : Cluster Method Invocation
 * Copyright (C) 2008-2009 Bull S.A.S.
 * Contact: cmi@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.cmi.controller.server.impl.jms;


/**
 * Configuration of the JMS implementation.
 * @author Loris Bouzonnet
 */
public final class Config extends org.ow2.cmi.controller.server.ServerConfig {

    private String superTopicName;

    private String superTopicJNDIName;

    private String superProviderURL;

    private String myTopicName;

    private String myTopicJNDIName;

    private String ourTopicName;

    private String ourTopicJNDIName;

    private String ourProviderURL;

    private String jmsProviderName = "jms_provider";

    private String connectionFactoryName = "JTCF";

    private boolean clusterViewShared = true;

    private String objectNameToListen;

    private long periodToBeat = 60000;

    private long periodToCleanUp = 120000;

    private int waitingBeatNumber = 4;

    private String domainName;

    private Integer domainPort;

    private boolean jmsServerEmbedded;

    private Short serverId;


    public String getJmsProviderName() {
        return jmsProviderName;
    }

    public void setJmsProviderName(final String jmsProviderName) {
        this.jmsProviderName = jmsProviderName;
    }

    public String getOurProviderURL() {
        return ourProviderURL;
    }

    public void setOurProviderURL(final String ourProviderURL) {
        this.ourProviderURL = ourProviderURL;
    }

    public String getSuperProviderURL() {
        return superProviderURL;
    }

    public void setSuperProviderURL(final String providerURL) {
        this.superProviderURL = providerURL;
    }

    public String getSuperTopicName() {
        return superTopicName;
    }

    public void setSuperTopicName(final String superTopicName) {
        this.superTopicName = superTopicName;
    }

    public String getSuperTopicJNDIName() {
        return superTopicJNDIName;
    }

    public void setSuperTopicJNDIName(final String superTopicJNDIName) {
        this.superTopicJNDIName = superTopicJNDIName;
    }

    public String getMyTopicName() {
        return myTopicName;
    }

    public void setMyTopicName(final String myTopicName) {
        this.myTopicName = myTopicName;
    }

    public String getMyTopicJNDIName() {
        return myTopicJNDIName;
    }

    public void setMyTopicJNDIName(final String myTopicJNDIName) {
        this.myTopicJNDIName = myTopicJNDIName;
    }

    public String getOurTopicName() {
        return ourTopicName;
    }

    public void setOurTopicName(final String ourTopicName) {
        this.ourTopicName = ourTopicName;
    }

    public String getOurTopicJNDIName() {
        return ourTopicJNDIName;
    }

    public void setOurTopicJNDIName(final String ourTopicJNDIName) {
        this.ourTopicJNDIName = ourTopicJNDIName;
    }

    public String getConnectionFactoryName() {
        return connectionFactoryName;
    }

    public void setConnectionFactoryName(final String connectionFactoryName) {
        this.connectionFactoryName = connectionFactoryName;
    }

    public boolean isClusterViewShared() {
        return clusterViewShared;
    }

    public void setClusterViewShared(final boolean clusterViewShared) {
        this.clusterViewShared = clusterViewShared;
    }

    public String getObjectNameToListen() {
        return objectNameToListen;
    }

    public void setObjectNameToListen(final String objectNameToListen) {
        this.objectNameToListen = objectNameToListen;
    }

    public long getPeriodToBeat() {
        return periodToBeat;
    }

    public void setPeriodToBeat(final long periodToBeat) {
        this.periodToBeat = periodToBeat;
    }

    public void setPeriodToCleanUp(final long periodToCleanUp) {
        this.periodToCleanUp = periodToCleanUp;
    }

    public void setWaitingBeatNumber(final int waitingBeatNumber) {
        this.waitingBeatNumber = waitingBeatNumber;
    }

    public long getPeriodToCleanUp() {
        return periodToCleanUp;
    }

    public int getWaitingBeatNumber() {
        return waitingBeatNumber;
    }

    public String getDomainName() {
        return domainName;
    }

    public void setDomainName(final String domainName) {
        this.domainName = domainName;
    }

    public Integer getDomainPort() {
        return domainPort;
    }

    public void setDomainPort(final Integer domainPort) {
        this.domainPort = domainPort;
    }

    public boolean isJmsServerEmbedded() {
        return jmsServerEmbedded;
    }

    public void setJmsServerEmbedded(final boolean jmsServerEmbedded) {
        this.jmsServerEmbedded = jmsServerEmbedded;
    }

    public Short getServerId() {
        return serverId;
    }

    public void setServerId(final Short serverId) {
        this.serverId = serverId;
    }

}
